import { operations } from './spec';
import { EmptyObject, Property, ValueOf } from './utils';
export declare type RequestBody<OperationId extends keyof operations> = operations[OperationId] extends {
    requestBody: Record<string, any>;
} ? ValueOf<operations[OperationId]['requestBody']['content'], void> : void;
export declare type RequestPathParams<OperationId extends keyof operations> = Property<Property<operations[OperationId], 'parameters', EmptyObject>, 'path', EmptyObject>;
export declare type RequestQuery<OperationId extends keyof operations> = Property<Property<operations[OperationId], 'parameters', EmptyObject>, 'query', EmptyObject>;
export declare type RequestHeaders<OperationId extends keyof operations> = Property<Property<operations[OperationId], 'parameters', EmptyObject>, 'header', EmptyObject>;
export declare type ResponseBody<OperationId extends keyof operations> = ValueOf<Property<ValueOf<Property<operations[OperationId], 'responses', EmptyObject>>, 'content'>, void>;
export declare type ResponseHeaders<OperationId extends keyof operations> = Property<ValueOf<Property<operations[OperationId], 'responses', EmptyObject>>, 'headers'>;
//# sourceMappingURL=requests.d.ts.map