/**
 * Get property K in T if it exists, otherwise D.
 */
export declare type Property<T, K extends keyof any, D = unknown> = (K extends keyof T ? T[K] : D);
/**
 *  Like keyof but values. Get all values of T if it is an object, otherwise D.
 */
export declare type ValueOf<T, D = never> = T extends Record<string, unknown> ? T[keyof T] : D;
export declare type EmptyObject = Record<never, never>;
//# sourceMappingURL=utils.d.ts.map