"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLogger = exports.getLogLevels = void 0;
const LOG_LEVELS = ['debug', 'info', 'warn', 'error'];
function getLogLevels(level) {
    const pos = LOG_LEVELS.indexOf(level);
    return pos < 0 ? [] : LOG_LEVELS.filter((v, i) => i >= pos);
}
exports.getLogLevels = getLogLevels;
function createLogger(f) {
    return Object.assign({}, ...LOG_LEVELS.map(level => ({ [level]: f(level) })));
}
exports.createLogger = createLogger;
//# sourceMappingURL=logger.js.map