#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const typegen_1 = __importDefault(require("./typegen"));
const commands = {
    'generate-types': typegen_1.default
};
function main(program, command, args) {
    return __awaiter(this, void 0, void 0, function* () {
        if (command in commands) {
            yield commands[command](program, command, args);
        }
        else {
            throw new Error(`${command ? `Unknown command \"${command}\"\n` : ``}Usage: ${program} ${Object.keys(commands).join(' | ')} [command args ... ]`);
        }
    });
}
const [, program, command, ...args] = process.argv;
main(program.replace(/.*\//, ''), command, args).catch(err => {
    console.error(err.message);
    process.exit(1);
});
//# sourceMappingURL=cli.js.map